Bug 1008351 - Storage installer fails on symlinked Java home
Storage installer fails on symlinked Java home
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.5
Unspecified Unspecified
urgent Severity high (vote)
: ER02
: RHQ 4.10
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: jon32-Beta-Blockers-1006862
  Show dependency treegraph
 
Reported: 2013-09-16 04:57 EDT by Heiko W. Rupp
Modified: 2014-04-23 08:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:31:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-09-16 04:57:35 EDT
Install now fails for me in the storage installer, as a certain library is considered duplicate, as it shows up twice.
In fact 
/Library/Java/JavaVirtualMachines/1.7.0u.jdk is a symbolic link to /Library/Java/JavaVirtualMachines/jdk1.7.0_40.jdk/
which allows to just move the symlink on new java versions.

See also Bug 996710


snert:/im/run-rhq/dev-container/rhq-server hrupp$ bin/rhqctl install
10:35:47,435 INFO  [org.jboss.modules] JBoss Modules version 1.2.0.CR1
10:35:48,238 INFO  [org.rhq.server.control.command.Install] Preparing to install RHQ storage node.
Starting RHQ Storage Installer ...
10:35:49,417 INFO  [org.jboss.modules] JBoss Modules version 1.2.0.CR1
10:35:49,599 INFO  [org.rhq.storage.installer.StorageInstaller] Running RHQ Storage Node installer...
10:35:49,696 INFO  [org.rhq.cassandra.Deployer] Unzipping storage node to /im/run-rhq/dev-container/rhq-server/rhq-storage
10:35:50,245 INFO  [org.rhq.cassandra.Deployer] Applying configuration changes to /im/run-rhq/dev-container/rhq-server/rhq-storage/conf/cassandra.yaml
10:35:50,463 INFO  [org.rhq.cassandra.Deployer] Applying configuration changes to /im/run-rhq/dev-container/rhq-server/rhq-storage/conf/log4j-server.properties
10:35:50,465 INFO  [org.rhq.cassandra.Deployer] Applying configuration changes to /im/run-rhq/dev-container/rhq-server/rhq-storage/conf/cassandra-jvm.properties
10:35:50,485 INFO  [org.rhq.cassandra.Deployer] Updating file permissions in /im/run-rhq/dev-container/rhq-server/rhq-storage/bin
10:35:50,489 INFO  [org.rhq.storage.installer.StorageInstaller] Updating rhq-server.properties...
10:35:50,527 INFO  [org.rhq.storage.installer.StorageInstaller] Starting RHQ Storage Node
10:36:23,446 ERROR [org.rhq.storage.installer.StorageInstaller] The storage node reported the following errors while trying to start:

objc[66072]: Class JavaLaunchHelper is implemented in both /Library/Java/JavaVirtualMachines/1.7.0u.jdk/Contents/Home/bin/java and /Library/Java/JavaVirtualMachines/jdk1.7.0_40.jdk/Contents/Home/jre/lib/libinstrument.dylib. One of the two will be used. Which one is undefined.



10:36:23,447 ERROR [org.rhq.storage.installer.StorageInstaller] Please review your configuration for possible sources of errors such as port conflicts or invalid arguments/options passed to the java executable.
10:36:23,447 ERROR [org.rhq.storage.installer.StorageInstaller] The storage installer will now exit.
10:36:23,462 ERROR [org.rhq.server.control.command.Install] An error occurred while running the storage installer: Process exited with an error: 1 (Exit value: 1)
10:36:23,463 ERROR [org.rhq.server.control.RHQControl] An error occurred while executing the install command [Cause: org.apache.commons.exec.ExecuteException: Process exited with an error: 1 (Exit value: 1)]
Comment 1 Heiko W. Rupp 2013-09-16 05:14:07 EDT
Java Home is set to the symlink:

snert:/im/run-rhq/dev-container/rhq-server hrupp$ echo $JAVA_HOME
/Library/Java/JavaVirtualMachines/1.7.0u.jdk/Contents/Home
Comment 2 Heiko W. Rupp 2013-09-16 09:21:18 EDT
Actually it turns out that the above install step + start of Cassandra succeeded, so it is an annoying error message that should at most be treated as warning.
Comment 3 Heiko W. Rupp 2013-09-23 05:31:31 EDT
Fixed in 1ba590c1982 by John Sanda.
Comment 4 Heiko W. Rupp 2014-04-23 08:31:48 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.